<?xml version="1.0" standalone="yes" ?>

<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>

<script>

<name>plugin.Xai.lib.AP.bestsell</name>

<version>1</version>

<engineversion>24</engineversion>

<description>AP wrapper around trade.bestsell</description>

<arguments>

<argument index="1" name="ware" type="Var/Ware" desc="ware" />

<argument index="2" name="jumps" type="Var/Number" desc="Max Jumps" />

<argument index="3" name="min.price" type="Var/Number" desc="Min. Price" />

</arguments>

<sourcetext>

<line linenr="001" indent=""><comment><text>*&#160;</text><var>Created&#160;by&#160;Xai&#160;Corporation,&#160;764</var></comment></line>

<line linenr="002" indent=""><comment><text>*&#160;</text><var></var></comment></line>

<line linenr="003" indent=""><comment><text>*&#160;</text><var>Free&#160;for&#160;use&#160;in&#160;3rd&#160;party&#160;scripts,&#160;but</var></comment></line>

<line linenr="004" indent=""><comment><text>*&#160;</text><var>please&#160;mention&#160;Xai&#160;Corporation&#160;in&#160;your&#160;documentation</var></comment></line>

<line linenr="005" indent=""><comment><text>*&#160;</text><var></var></comment></line>

<line linenr="006" indent=""></line>

<line linenr="007" indent=""><text>infinite&#160;loop&#160;detection&#160;enabled=</text><var>[TRUE]</var></line>

<line linenr="008" indent=""></line>

<line linenr="009" indent=""><comment><text>*&#160;</text><var>Get&#160;AP&#160;jump&#160;range</var></comment></line>

<line linenr="010" indent=""><var>$AP.jumps&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;local&#160;variable:&#160;name=</text><var>'AP.jumps'</var></line>

<line linenr="011" indent=""><var>$AP.jumps&#160;=&#160;</var><var>$AP.jumps</var><text>[</text><var>1</var><text>]</text></line>

<line linenr="012" indent=""><var>skip&#160;if&#160;</var><var>$jumps</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>$AP.jumps</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>!</var><text>&#160;</text><var>$AP.jumps</var></line>

<line linenr="013" indent="&#160;"><var>$jumps&#160;=&#160;</var><var>$AP.jumps</var></line>

<line linenr="014" indent=""></line>

<line linenr="015" indent=""><comment><text>*&#160;</text><var>Check&#160;price&#160;and&#160;right&#160;place</var></comment></line>

<line linenr="016" indent=""><var>if&#160;not&#160;</var><var>$min.price</var></line>

<line linenr="017" interruptable="@" indent="&#160;"><var>$ware.prices&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.db.basic</call><text>&#160;:&#160;</text><text>&#160;Row&#160;label=</text><var>$ware</var><text>&#160;</text><text>&#160;Row&#160;data=</text><var>null</var><text>&#160;</text><text>&#160;Table&#160;name=</text><var>'database.wares'</var></line>

<line linenr="018" indent="&#160;"><var>$last.buy.price&#160;=&#160;</var><var>$ware.prices</var><text>[</text><var>1</var><text>]</text></line>

<line linenr="019" indent="&#160;"><var>if&#160;</var><var>$last.buy.price</var></line>

<line linenr="020" indent="&#160;&#160;"><var>$min.price&#160;=&#160;</var><var>$last.buy.price</var></line>

<line linenr="021" indent="&#160;"><text>else</text></line>

<line linenr="022" indent="&#160;&#160;"><var>$min.price&#160;=&#160;</var><text>get&#160;min&#160;price&#160;of&#160;ware&#160;</text><var>$ware</var></line>

<line linenr="023" indent="&#160;"><text>end</text></line>

<line linenr="024" indent=""><text>end</text></line>

<line linenr="025" indent=""></line>

<line linenr="026" indent=""><comment><text>*&#160;</text><var>Check&#160;have&#160;something&#160;to&#160;sell</var></comment></line>

<line linenr="027" indent=""><var>$amount&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>$ware</var><text>&#160;in&#160;cargo&#160;bay</text></line>

<line linenr="028" indent=""><var>if&#160;</var><var>$amount</var></line>

<line linenr="029" interruptable="@" indent="&#160;"><var>$amount.sold&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.trade.bestsell</call><text>&#160;:&#160;</text><text>&#160;ware=</text><var>$ware</var><text>&#160;</text><text>&#160;Max&#160;Jumps=</text><var>$jumps</var><text>&#160;</text><text>&#160;Min.&#160;Price=</text><var>$min.price</var></line>

<line linenr="030" indent="&#160;"></line>

<line linenr="031" indent=""><comment><text>*&#160;</text><var>Collect&#160;sales&#160;data</var></comment></line>

<line linenr="032" indent="&#160;"><var>$AP.trade.data&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;local&#160;variable:&#160;name=</text><var>'trade.data'</var></line>

<line linenr="033" indent="&#160;"><var>if&#160;</var><text>&#160;is&#160;datatyp[&#160;</text><var>$AP.trade.data</var><text>&#160;]&#160;==&#160;</text><var>DATATYP_ARRAY</var></line>

<line linenr="034" indent="&#160;&#160;"><var>$price&#160;=&#160;</var><var>$AP.trade.data</var><text>[</text><var>2</var><text>]</text></line>

<line linenr="035" indent="&#160;&#160;"><var>$profit&#160;=&#160;</var><var>$AP.trade.data</var><text>[</text><var>3</var><text>]</text></line>

<line linenr="036" indent="&#160;&#160;"></line>

<line linenr="037" indent=""><comment><text>*&#160;</text><var>save&#160;selling&#160;price&#160;and&#160;profit</var></comment></line>

<line linenr="038" indent="&#160;&#160;"><var>if&#160;not&#160;</var><var>$ware.prices</var></line>

<line linenr="039" indent="&#160;&#160;&#160;"><var>$ware.prices&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>5</var></line>

<line linenr="040" indent="&#160;&#160;&#160;"><var>$ware.prices</var><text>[</text><var>0</var><text>]&#160;=&#160;</text><var>$ware</var></line>

<line linenr="041" indent="&#160;&#160;&#160;"><var>$ware.prices</var><text>[</text><var>1</var><text>]&#160;=&#160;</text><var>$min.price</var></line>

<line linenr="042" indent="&#160;&#160;"><text>end</text></line>

<line linenr="043" indent="&#160;&#160;"><var>$ware.prices</var><text>[</text><var>2</var><text>]&#160;=&#160;</text><var>$price</var></line>

<line linenr="044" indent="&#160;&#160;"><var>$ware.prices</var><text>[</text><var>3</var><text>]&#160;=&#160;</text><var>$profit</var></line>

<line linenr="045" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.db.basic</call><text>&#160;:&#160;</text><text>&#160;Row&#160;label=</text><var>$ware</var><text>&#160;</text><text>&#160;Row&#160;data=</text><var>$ware.prices</var><text>&#160;</text><text>&#160;Table&#160;name=</text><var>'database.wares'</var></line>

<line linenr="046" indent="&#160;&#160;"></line>

<line linenr="047" indent=""><comment><text>*&#160;</text><var>save&#160;xp</var></comment></line>

<line linenr="048" indent="&#160;&#160;"><var>if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>Xai&#160;Corp.&#160;Trade&#160;Command&#160;Software&#160;MK2</var><text>&#160;in&#160;cargo&#160;bay</text></line>

<line linenr="049" indent="&#160;&#160;&#160;"><var>$xp&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;local&#160;variable:&#160;name=</text><var>'AP.trade.xp'</var></line>

<line linenr="050" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$xp</var></line>

<line linenr="051" indent="&#160;&#160;&#160;&#160;"><var>$xp.runs&#160;=&#160;</var><var>$xp</var><text>[</text><var>0</var><text>]</text></line>

<line linenr="052" indent="&#160;&#160;&#160;&#160;"><text>inc&#160;</text><var>$xp.runs&#160;=&#160;</var></line>

<line linenr="053" indent="&#160;&#160;&#160;&#160;"><var>$xp.profit&#160;=&#160;</var><var>$xp</var><text>[</text><var>1</var><text>]</text></line>

<line linenr="054" indent="&#160;&#160;&#160;&#160;"><var>skip&#160;if&#160;</var><var>$xp.profit</var></line>

<line linenr="055" indent="&#160;&#160;&#160;&#160;&#160;"><var>$xp.profit&#160;=&#160;</var><var>0</var></line>

<line linenr="056" indent="&#160;&#160;&#160;&#160;"><var>$profit&#160;=&#160;</var><var>$xp.profit</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$profit</var></line>

<line linenr="057" indent="&#160;&#160;&#160;&#160;"><var>$xp</var><text>[</text><var>0</var><text>]&#160;=&#160;</text><var>$xp.runs</var></line>

<line linenr="058" indent="&#160;&#160;&#160;&#160;"><var>$xp</var><text>[</text><var>1</var><text>]&#160;=&#160;</text><var>$profit</var></line>

<line linenr="059" indent="&#160;&#160;&#160;"><text>else</text></line>

<line linenr="060" indent="&#160;&#160;&#160;&#160;"><var>$xp&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>2</var></line>

<line linenr="061" indent="&#160;&#160;&#160;&#160;"><var>$xp</var><text>[</text><var>0</var><text>]&#160;=&#160;</text><var>1</var></line>

<line linenr="062" indent="&#160;&#160;&#160;&#160;"><var>$xp</var><text>[</text><var>1</var><text>]&#160;=&#160;</text><var>$profit</var></line>

<line linenr="063" indent="&#160;&#160;&#160;"><text>end</text></line>

<line linenr="064" indent="&#160;&#160;&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;local&#160;variable:&#160;name=</text><var>'AP.trade.xp'</var><text>&#160;value=</text><var>$xp</var></line>

<line linenr="065" indent=""><comment><text>*&#160;</text><var>modified&#160;by&#160;Kazantia</var></comment></line>

<line linenr="066" indent="&#160;&#160;&#160;"><var>$Play.Log&#160;=&#160;</var><text>playing&#160;time</text></line>

<line linenr="067" indent="&#160;&#160;&#160;"><var>$Log.txt&#160;=&#160;</var><var>$Play.Log</var><text>&#160;</text><var>+</var><text>&#160;</text><var>'-'</var><text>&#160;</text><var>+</var><text>&#160;</text><var>[THIS]</var><text>&#160;</text><var>+</var><text>&#160;</text><var>'-'</var><text>&#160;</text><var>+</var><text>&#160;</text><var>'Sell'</var><text>&#160;</text><var>+</var><text>&#160;</text><var>'-'</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$amount.sold</var><text>&#160;</text><var>+</var><text>&#160;</text><var>'-'</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$ware</var><text>&#160;</text><var>+</var><text>&#160;</text><var>'-'</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$price</var><text>&#160;</text><var>+</var><text>&#160;</text><var>'-'</var><text>&#160;</text><var>+</var><text>&#160;</text><var>[DOCKEDAT]</var><text>&#160;</text><var>+</var><text>&#160;</text><var>'-'</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$profit</var></line>

<line linenr="068" indent="&#160;&#160;&#160;"><var>$level.trade&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;local&#160;variable:&#160;name=</text><var>'level.trade'</var></line>

<line linenr="069" indent="&#160;&#160;&#160;"><var>$LOG.LEVEL&#160;=&#160;</var><var>$level.trade</var></line>

<line linenr="070" indent="&#160;&#160;&#160;"><text>write&#160;to&#160;log&#160;file&#160;#</text><var>$LOG.LEVEL</var><text>&#160;&#160;append=</text><var>[TRUE]</var><text>&#160;&#160;printf:&#160;fmt=</text><var>'%s'</var><text>,&#160;</text><var>$Log.txt</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var><text>,&#160;</text><var>null</var></line>

<line linenr="071" indent=""><comment><text>*&#160;</text><var>End&#160;Modification</var></comment></line>

<line linenr="072" indent="&#160;&#160;"><text>end</text></line>

<line linenr="073" indent="&#160;&#160;"></line>

<line linenr="074" indent=""><comment><text>*&#160;</text><var>If&#160;no&#160;station&#160;to&#160;sell&#160;at.</var></comment></line>

<line linenr="075" indent="&#160;"><var>else&#160;if&#160;</var><var>$AP.trade.data</var><text>&#160;</text><var>==</var><text>&#160;</text><var>'not.station'</var></line>

<line linenr="076" interruptable="@" indent="&#160;&#160;"><var>$safe.station&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>Xai.lib.find.safe.station</call><text>&#160;:&#160;</text><text>&#160;Sector=</text><var>[SECTOR]</var></line>

<line linenr="077" indent="&#160;&#160;"><var>if&#160;not&#160;</var><var>$safe.station</var></line>

<line linenr="078" indent="&#160;&#160;&#160;"><var>$msg.time&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;local&#160;variable:&#160;name=</text><var>'msg.notstation'</var></line>

<line linenr="079" indent="&#160;&#160;&#160;"><var>$time&#160;=&#160;</var><text>playing&#160;time</text></line>

<line linenr="080" indent="&#160;&#160;&#160;"><var>skip&#160;if&#160;</var><var>$msg.time</var></line>

<line linenr="081" indent="&#160;&#160;&#160;&#160;"><var>$msg.time&#160;=&#160;</var><var>$time</var></line>

<line linenr="082" indent="&#160;&#160;&#160;"></line>

<line linenr="083" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$msg.time</var><text>&#160;</text><var>&lt;=</var><text>&#160;</text><var>$time</var></line>

<line linenr="084" interruptable="@" indent="&#160;&#160;&#160;&#160;"><var>$ship.name&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.AP.getName</call><text>&#160;:&#160;</text></line>

<line linenr="085" interruptable="@" indent="&#160;&#160;&#160;&#160;"><var>$msg&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.AP.message</call><text>&#160;:&#160;</text><text>&#160;Message&#160;Number=</text><var>13</var><text>&#160;</text><text>&#160;Arg&#160;1=</text><var>$ship.name</var><text>&#160;</text><text>&#160;Arg&#160;2=</text><var>null</var><text>&#160;</text><text>&#160;Arg&#160;3=</text><var>null</var><text>&#160;</text><text>&#160;Arg&#160;4=</text><var>null</var><text>&#160;</text><text>&#160;Arg&#160;5=</text><var>null</var></line>

<line linenr="086" indent="&#160;&#160;&#160;&#160;"><text>write&#160;to&#160;player&#160;logbook&#160;</text><var>$msg</var></line>

<line linenr="087" indent="&#160;&#160;&#160;&#160;"><text>play&#160;sample:&#160;incoming&#160;transmission&#160;</text><var>[IncomingTransmission.Greeting]</var><text>,&#160;from&#160;object&#160;</text><var>[THIS]</var></line>

<line linenr="088" indent="&#160;&#160;&#160;&#160;"><var>$msg.time&#160;=&#160;</var><var>$time</var><text>&#160;</text><var>+</var><text>&#160;</text><var>180</var></line>

<line linenr="089" indent="&#160;&#160;&#160;&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;local&#160;variable:&#160;name=</text><var>'msg.notstation'</var><text>&#160;value=</text><var>$msg.time</var></line>

<line linenr="090" indent="&#160;&#160;&#160;"><text>end</text></line>

<line linenr="091" indent="&#160;&#160;&#160;"></line>

<line linenr="092" indent="&#160;&#160;"><text>end</text></line>

<line linenr="093" indent="&#160;"><text>end</text></line>

<line linenr="094" indent="&#160;"></line>

<line linenr="095" indent=""><text>end</text></line>

<line linenr="096" indent=""></line>

<line linenr="097" indent=""><comment><text>*&#160;</text><var>return&#160;actual&#160;amount&#160;sold</var></comment></line>

<line linenr="098" indent=""><text>return&#160;</text><var>$amount.sold</var></line>

</sourcetext>

<codearray>

<sval type="array" size="10"><sval type="string" val="plugin.Xai.lib.AP.bestsell" /><sval type="int" val="24" /><sval type="string" val="AP wrapper around trade.bestsell" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="array" size="23"><sval type="string" val="ware" /><sval type="string" val="jumps" /><sval type="string" val="min.price" /><sval type="string" val="AP.jumps" /><sval type="string" val="ware.prices" /><sval type="string" val="last.buy.price" /><sval type="string" val="amount" /><sval type="string" val="amount.sold" /><sval type="string" val="AP.trade.data" /><sval type="string" val="price" /><sval type="string" val="profit" /><sval type="string" val="xp" /><sval type="string" val="xp.runs" /><sval type="string" val="xp.profit" /><sval type="string" val="Play.Log" /><sval type="string" val="Log.txt" /><sval type="string" val="level.trade" /><sval type="string" val="LOG.LEVEL" /><sval type="string" val="safe.station" /><sval type="string" val="msg.time" /><sval type="string" val="time" /><sval type="string" val="ship.name" /><sval type="string" val="msg" /></sval><sval type="array" size="63"><sval type="array" size="3"><sval type="int" val="153" /><sval type="int" val="131075" /><sval type="int" val="10" /></sval><sval type="array" size="6"><sval type="int" val="156" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="string" val="AP.jumps" /><sval type="int" val="3" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="22"><sval type="int" val="104" /><sval type="int" val="-536869625" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="65556" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="6" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /><sval type="int" val="10" /><sval type="int" val="65556" /><sval type="int" val="-4" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536867836" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="12"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.db.basic" /><sval type="int" val="4" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="5" /><sval type="string" val="database.wares" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610609917" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="12" /></sval><sval type="array" size="4"><sval type="int" val="631" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610596861" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="12"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.trade.bestsell" /><sval type="int" val="7" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="6"><sval type="int" val="156" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="string" val="trade.data" /><sval type="int" val="8" /></sval><sval type="array" size="6"><sval type="int" val="125" /><sval type="int" val="-1610600445" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="20" /><sval type="int" val="21" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="4" /><sval type="int" val="2" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="4" /><sval type="int" val="3" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536865020" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="5" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="9" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="10" /></sval><sval type="array" size="12"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.db.basic" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="5" /><sval type="string" val="database.wares" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-1610600701" /><sval type="int" val="9" /><sval type="int" val="1048648" /></sval><sval type="array" size="6"><sval type="int" val="156" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="string" val="AP.trade.xp" /><sval type="int" val="11" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610603005" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="12" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="12" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="13" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536862201" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="13" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="10" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="12" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="10" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="41" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="11" /><sval type="int" val="4" /><sval type="int" val="2" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="10" /></sval><sval type="array" size="7"><sval type="int" val="155" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="string" val="AP.trade.xp" /><sval type="int" val="131074" /><sval type="int" val="11" /></sval><sval type="array" size="2"><sval type="int" val="141" /><sval type="int" val="14" /></sval><sval type="array" size="91"><sval type="int" val="104" /><sval type="int" val="15" /><sval type="int" val="29" /><sval type="int" val="131074" /><sval type="int" val="14" /><sval type="int" val="5" /><sval type="string" val="-" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="5" /><sval type="string" val="-" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="5" /><sval type="string" val="Sell" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="5" /><sval type="string" val="-" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="5" /><sval type="string" val="-" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="5" /><sval type="string" val="-" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="5" /><sval type="string" val="-" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="131075" /><sval type="int" val="65547" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="5" /><sval type="string" val="-" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="29" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /><sval type="int" val="11" /><sval type="int" val="-4" /><sval type="int" val="11" /><sval type="int" val="-6" /><sval type="int" val="11" /><sval type="int" val="-8" /><sval type="int" val="11" /><sval type="int" val="-10" /><sval type="int" val="11" /><sval type="int" val="-12" /><sval type="int" val="11" /><sval type="int" val="-14" /><sval type="int" val="11" /><sval type="int" val="-16" /><sval type="int" val="11" /><sval type="int" val="-18" /><sval type="int" val="11" /><sval type="int" val="-20" /><sval type="int" val="11" /><sval type="int" val="-22" /><sval type="int" val="11" /><sval type="int" val="-24" /><sval type="int" val="11" /><sval type="int" val="-26" /><sval type="int" val="11" /><sval type="int" val="-28" /></sval><sval type="array" size="6"><sval type="int" val="156" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="string" val="level.trade" /><sval type="int" val="16" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="17" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="17"><sval type="int" val="405" /><sval type="int" val="131074" /><sval type="int" val="17" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="5" /><sval type="string" val="%s" /><sval type="int" val="131074" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="62" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610596859" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="5" /><sval type="string" val="not.station" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="Xai.lib.find.safe.station" /><sval type="int" val="18" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="65542" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536855036" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="18" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="156" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="string" val="msg.notstation" /><sval type="int" val="19" /></sval><sval type="array" size="2"><sval type="int" val="141" /><sval type="int" val="20" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536856825" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="19" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="19" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="20" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610596861" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="19" /><sval type="int" val="131074" /><sval type="int" val="20" /><sval type="int" val="15" /><sval type="int" val="5" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="5" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.AP.getName" /><sval type="int" val="21" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /></sval><sval type="array" size="18"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.AP.message" /><sval type="int" val="22" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="13" /><sval type="int" val="131074" /><sval type="int" val="21" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="3"><sval type="int" val="400" /><sval type="int" val="131074" /><sval type="int" val="22" /></sval><sval type="array" size="5"><sval type="int" val="201" /><sval type="int" val="131075" /><sval type="int" val="302" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="19" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="20" /><sval type="int" val="4" /><sval type="int" val="180" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="155" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="string" val="msg.notstation" /><sval type="int" val="131074" /><sval type="int" val="19" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="7" /></sval></sval><sval type="array" size="3"><sval type="array" size="2"><sval type="int" val="13" /><sval type="string" val="ware" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="string" val="Max Jumps" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="string" val="Min. Price" /></sval></sval><sval type="array" size="38"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Created by Xai Corporation, 764" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Free for use in 3rd party scripts, but" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="please mention Xai Corporation in your documentation" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="1" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="1" /><sval type="int" val="1" /><sval type="string" val="Get AP jump range" /></sval><sval type="array" size="2"><sval type="int" val="5" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="5" /><sval type="int" val="1" /><sval type="string" val="Check price and right place" /></sval><sval type="array" size="2"><sval type="int" val="11" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="12" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="12" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="12" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="12" /><sval type="int" val="1" /><sval type="string" val="Check have something to sell" /></sval><sval type="array" size="2"><sval type="int" val="15" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="15" /><sval type="int" val="1" /><sval type="string" val="Collect sales data" /></sval><sval type="array" size="2"><sval type="int" val="19" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="19" /><sval type="int" val="1" /><sval type="string" val="save selling price and profit" /></sval><sval type="array" size="2"><sval type="int" val="23" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="26" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="26" /><sval type="int" val="1" /><sval type="string" val="save xp" /></sval><sval type="array" size="2"><sval type="int" val="38" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="41" /><sval type="int" val="4" /></sval><sval type="array" size="3"><sval type="int" val="42" /><sval type="int" val="1" /><sval type="string" val="modified by Kazantia" /></sval><sval type="array" size="3"><sval type="int" val="47" /><sval type="int" val="1" /><sval type="string" val="End Modification" /></sval><sval type="array" size="2"><sval type="int" val="47" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="47" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="47" /><sval type="int" val="1" /><sval type="string" val="If no station to sell at." /></sval><sval type="array" size="2"><sval type="int" val="55" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="62" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="62" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="62" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="62" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="62" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="62" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="62" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="62" /><sval type="int" val="1" /><sval type="string" val="return actual amount sold" /></sval></sval><sval type="int" val="0" /></sval>

</codearray>

</script>

